
Application: gvSIG desktop - gvSIG bugs #897
Can't create HIPERLINK for *.jpg Images / No se puede CREAR HIPERENLACE *.jpg
07/20/2012 10:03 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Hiperlink, hiperenlace, jpg Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - No se puede CREAR HIPERENLACE *.jpg:

Pasos
    1.- Abrir gvSIG
    2.- Abrir VISTA NUEVA
    3.- Abrir capa MunicipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Comenzar Edición
    5.- Abrir Tabla de Atributos
    6.- Entro en "Tabla/Modificar estructura de tabla" 
    7.- Inserto campo nuevo + aceptar
    8.- Terminar edición y Guardar
    9.- Comenzar Edición y abro tabla de atributos
    10.- Aplico filtro NOMBRE='GRANADA' + Nuevo Conjunto
    11.- Pincho en la herramienta "ZOOM A LA SELECCIÓN" 
    12.- Inserto en el campo nuevo ruta para hiperenlace (/home/.../granada)
    13.- Termino edición y guardo cambios
    14.- Botón derecho sobre la capa de la vista y voy a "Propiedades" de capa
    15.- En la pestaña "Hiperenlace" activo la casilla "Activar hiperenlace", luego especifico:
        a) CAMPO - selecciono el campo creado en el paso 7
        b) EXTENSIÓN - escribo "jpg" 
        c) ACCIÓN - selecciono "Enlazar con ficheros de imagen" 
    16.- Aplicar y aceptar
    17.- Abro la tabla de atributos y aplico filtro NOMBRE='GRANADA' + Nuevo Conjunto
    18.- Pincho en la herramiento "ZOOM A LA SELECCIÓN" y cierro tabla
    19.- Pincho en "Hiperenlace Avanzado" dentro del menú "Capa" 
    20.- Pincho en el elemento selccionado
    21.- Aparece una ventana con mensaje de error:
        "java.lang.IllegalArgumentException: Attribute name 'Field1' not found in the feature"

ENG - CAN'T CREATE HIPERLINK FOR *.jpg IMAGES:

Steps
    1.- Open gvSIG
    2.- Open NEW VIEW
    3.- Open layer municipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Start Edition
    5.- Open Attribute Table
    6.- Menu "Table" go to "Manage Fields" 
    7.- Click on "New Field" and accept
    8.- Finish Edition and SAVE changes
    9.- Start Edition and open attribute table
    10.- Menu "Table" go to "Filter" and type NOMBRE='GRANADA' then "New Set" 
    11.- Use tool "Move selection to top" from menu VIEW/NAVIGATION
    12.- Type path in the new field (/home/.../granada)
    13.- Finish Edition
    14.- Click right button on layer and select "Properties" 
    15.- Go to "Hiperlink" and click checkbox "Enable hyperlink", then specify in:
        a) FIELD - select the new field created in step 7
        b) EXTENSION - type "jpg" 
        c) ACTION - select "Link to image files" 
    16.- APPLY and ACCEPT
    17.- Open attribute table and go to Menu TABLE/Filter and type NOMBRE='GRANADA' then "New Set" 
    18.- Click tool "Zoom to selection" on menu VIEW/NAVIGATION and close table attributes
    19.- Click "Advanced hyperlink" tool placed in LAYER menu
    20.- Click selected feature (GRANADA)
    21.- Appears a warning message:
        "java.lang.IllegalArgumentException: Attribute name 'Field1' not found in the feature"

History
#1 - 10/24/2012 09:54 AM - Vicent Domenech
- Target version set to 2.0.0-rc1

#2 - 10/27/2012 02:55 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

This bug is fixed by previous bugfixes. The icon of the tool is the same, but the tooltip is now "Hyperlink" (not advanced) and is under the menu "View"
(not Layer)

Test: the steps described should work now.

#3 - 11/08/2012 01:51 PM - Abenchara Socorro
- File granada.jpg added
- Status changed from Fixed to New

Doesn't open granada.jpg well
I attach picture

#4 - 11/08/2012 01:57 PM - Abenchara Socorro
- Status changed from New to Closed

Sorry, works well...
Tested in build 2057

Files
granada.jpg 50.1 KB 11/08/2012 Abenchara Socorro
